clone_methods(CopDamage)

function CopDamage.damage_fire(self, data, ...)
	if self._dead or self._invulnerable then
		return
	end
	
	local damage = tonumber(data.damage) or 0

	if damage > 0.09 and data.attacker_unit and data.attacker_unit == managers.player:player_unit() then
		self._hud:show_damage(data.damage, self._dead, false)
	end

	return unpack({
		self.oldMethods.damage_fire(self, data, ...)
	})
end

function CopDamage:damage_dot(attack_data)
	if self._dead or self._invulnerable then
		return
	end

	if attack_data.damage > 0.09 and attack_data.attacker_unit and attack_data.attacker_unit == managers.player:player_unit() then
		self._hud:show_damage(attack_data.damage, self._dead, false)
	end

	return unpack({
		self.oldMethods.damage_dot(self, attack_data)
	})
end